Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.jsword.book.sword
Class ConfigEntryType.ConfigEntryPickType

    java.lang.Object
      org.crosswire.jsword.book.sword.ConfigEntryType
          org.crosswire.jsword.book.sword.ConfigEntryType.ConfigEntryPickType

All Implemented Interfaces:
  Serializable

Enclosing class:
  ConfigEntryType

    public static class ConfigEntryType.ConfigEntryPickType

extends ConfigEntryType

A ConfigEntryPickType is a ConfigEntryType that allows values from a pick list. Matching is expected to be case-sensitive, but data problems dictate a more flexible approach.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.crosswire.jsword.book.sword.ConfigEntryType
`ConfigEntryType.ConfigEntryPickType, ConfigEntryType.ConfigEntrySyntheticType`

Field Summary
`private String[]` | `choiceArray` The array of choices.
`private static long` | `serialVersionUID` Serialization ID

Fields inherited from class org.crosswire.jsword.book.sword.ConfigEntryType
`ABOUT, BLOCK_COUNT, BLOCK_TYPE, CATEGORY, CIPHER_KEY, COMPRESS_TYPE, COPYRIGHT, COPYRIGHT_CONTACT_ADDRESS, COPYRIGHT_CONTACT_EMAIL, COPYRIGHT_CONTACT_NAME, COPYRIGHT_CONTACT_NOTES, COPYRIGHT_DATE, COPYRIGHT_HOLDER, COPYRIGHT_NOTES, DATA_PATH, DESCRIPTION, DIRECTION, DIRECTION_BIDI, DIRECTION_LTOR, DIRECTION_RTOL, DISPLAY_LEVEL, DISTRIBUTION_LICENSE, DISTRIBUTION_NOTES, DISTRIBUTION_SOURCE, ENCODING, FEATURE, FONT, GLOBAL_OPTION_FILTER, GLOSSARY_FROM, GLOSSARY_TO, HISTORY, INITIALS, INSTALL_SIZE, KEY_TYPE, LANG, LCSH, LIBRARY_URL, LOCATION_URL, MINIMUM_VERSION, MOD_DRV, OBSOLETES, OSIS_Q_TO_TICK, OSIS_VERSION, SHORT_COPYRIGHT, SHORT_PROMO, SOURCE_TYPE, SWORD_VERSION_DATE, TEXT_SOURCE, VERSION`

Constructor Summary
`ConfigEntryType.ConfigEntryPickType(String name, String[] picks)` Simple ctor
`ConfigEntryType.ConfigEntryPickType(String name, String[] picks, Object defaultPick)` Simple ctor

Method Summary
`String` | `filter(String value)` Modify the value if necessary.
`protected boolean` | `hasChoices()` Some keys can repeat.
`boolean` | `isAllowed(String value)` Determines whether the string is allowed.

Methods inherited from class org.crosswire.jsword.book.sword.ConfigEntryType
`allowsContinuation, allowsRTF, convert, equals, fromInteger, fromString, getDefault, getName, hashCode, isSynthetic, mayRepeat, readResolve, reportDetails, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### choiceArray

    private final String[] choiceArray

  The array of choices.

### serialVersionUID

    private static final long serialVersionUID

  Serialization ID

  See Also:
    Constant Field Values

Constructor Detail

### ConfigEntryType.ConfigEntryPickType

    public ConfigEntryType.ConfigEntryPickType(String name,
                                               String[] picks)

  Simple ctor

### ConfigEntryType.ConfigEntryPickType

    public ConfigEntryType.ConfigEntryPickType(String name,
                                               String[] picks,
                                               Object defaultPick)

  Simple ctor

Method Detail

### hasChoices

    protected boolean hasChoices()

  Description copied from class: `ConfigEntryType`
  Some keys can repeat. When this happens each is a single value pick from a list of choices.

  Overrides:
    `hasChoices` in class `ConfigEntryType`
  Returns:
    true if this ConfigEntryType can occur more than once

### isAllowed

    public boolean isAllowed(String value)

  Description copied from class: `ConfigEntryType`
  Determines whether the string is allowed. For some config entries, the value is expected to be one of a group, for others the format is defined.

  Overrides:
    `isAllowed` in class `ConfigEntryType`
  Parameters:
    `value` - the string to be checked
  Returns:
    true if the string is allowed

### filter

    public String filter(String value)

  Description copied from class: `ConfigEntryType`
  Modify the value if necessary.

  Overrides:
    `filter` in class `ConfigEntryType`
  Parameters:
    `value` - the input
  Returns:
    either value or a modified version of it.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¨ 2003-2007
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD